Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssOpCascade

All Superinterfaces:
  IEssBaseObject, IEssOperation

public interface IEssOpCascade
extends IEssOperation

The IEssOpCascade interface.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssOperation
`IEssOperation.EEssOperationType`

Method Summary
`void` | `addRange(int startRow, int startColumn, int countRows, int countColumns, IEssOpZoomIn.EEssZoomInPreference pref)` Adds range of cells to cascade.
`int` | `getCountRanges()` Gets the count of cell ranges to cascade.
`IEssIterator` | `getRanges()` Gets the list of cell ranges to cascade.
`void` | `set(boolean supMissing, boolean listFile, short level, java.lang.String prefix, java.lang.String suffix, java.lang.String header, java.lang.String footer, java.lang.String path)` Sets cascading options.

Methods inherited from interface com.essbase.api.dataquery.IEssOperation
`getOperationType`

Method Detail

### addRange

    public void addRange(int startRow,
                         int startColumn,
                         int countRows,
                         int countColumns,
                         IEssOpZoomIn.EEssZoomInPreference pref)
                  throws EssException

  Adds range of cells to cascade.

  Parameters:
    `startRow` - The start row.
    `startColumn` - The start column.
    `countRows` - The count of rows.
    `countColumns` - The count of columns.
    `pref` - The zoom in preference.
  Throws:
    `EssException` - if an error occurs.

### getCountRanges

    public int getCountRanges()
                       throws EssException

  Gets the count of cell ranges to cascade.

  Returns:
    The count of cell ranges to cascade.
  Throws:
    `EssException` - if an error occurs.

### getRanges

    public IEssIterator getRanges()
                           throws EssException

  Gets the list of cell ranges to cascade.

  Returns:
    The list of cell ranges to cascade.
  Throws:
    `EssException` - if an error occurs

### set

    public void set(boolean supMissing,
                    boolean listFile,
                    short level,
                    java.lang.String prefix,
                    java.lang.String suffix,
                    java.lang.String header,
                    java.lang.String footer,
                    java.lang.String path)
             throws EssException

  Sets cascading options.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD